Subject: Jan Jaap's Mingw32
From: "Alain.Culos -- "@bigfoot.com (Alain CULOS)

19 Mar 1998 08:05:57 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: cygwin <[email-masked]>

Hi all,

I downloaded cygwin32 b18 some time ago and got VGUI to compile fine for me (Earnie taught me the few tricks I needed as a complement to all help files).
Now I kinda want to change over to Mingw32 ...
And surprise, it does not work the same way. I know, I did not read the whole FAQ yet or the whole help files (they really look nicely done).

My platform is a PPro/Win95b, 64MB RAM. And I downloaded Mingw32 stuff from JJ's superb page.

I have a few questions, only for those that have answers off the top of their heads (do not dig information for me, I can do the digging myself) :

1/ Am I understanding as I should : in Cygwin32, the use of Cygwin32.dll makes my own software subject to the GPL.

2/ With Mingw32 my software is mine and I can sell it if I wish.

3/ Is the main purpose of Mingw32 (which is to get rid of the Unix layer overhead and gain speed) contrary to using Unix tools like Bash ? That sounds like a stupid question, but the bash version I have, I gather, uses cygwin32.dll ...

4/ A compiled that worked just perfectly well with Cygwin32 b18 breaks at the first stage using Mingw32 Gcc-2.8.1 :

In a command.com box, with appropriate PATH and environment as explained in JJ's installation page, make says :
C:\PROGRAM\V\SRCWIN>make
g++ -O3 -c -I../includew -D_WIN32 VAPP.cpp -o VAPP.o
VAPP.cpp: In function `int CMain(void *, void *, char *, int)':
VAPP.cpp:1032: warning: implicit declaration of function `int strtok(...)'
VAPP.cpp:1032: warning: assignment to `char *' from `int' lacks a cast
VAPP.cpp:1036: warning: implicit declaration of function `int strchr(...)'
VAPP.cpp:1036: ANSI C++ forbids comparison between pointer and integer
VAPP.cpp:1038: warning: assignment to `char *' from `int' lacks a cast
D:\MINGW32\BIN\MAKE.EXE: *** [VAPP.o] Error 1

Does that have anything to do with the change over from Cygwin32 to Mingw32 or does it have to do with the change over from 2.7.2 to 2.8.1 ?
The App I'm trying to compile is V1.17, maybe I should just go and download V1.18, I know it has more makefiles and they may be more appropriate for me since I'm not anything near to mastering makefiles and compiles.

Note that gcc -v does give the correct version identification :
D:\Utilisateurs\Alain\Programmation\C\Tests>gcc -v
Reading specs from D:\MINGW32\lib\gcc-lib\i386-mingw32\2.8.1\specs
gcc version 2.8.1

MTIA,
Al.

--
ANTI SPAM / ANTI ARROSAGE COMMERCIAL :
Pour me répondre, veuillez enlever les deux moins et les deux espaces de mon adresse.
To answer me, please take out both minus signs and both spaces from my address.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".